* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
}

section {
  overflow: hidden;
}

.container {
  margin: 0 auto;
  width: 100%;
}

.lottie {
  height: 370px;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

/* HERO */

.hero {
  position: relative;
  background: linear-gradient(90deg, #0A233B, #043663, #6CA7CC, #E074B4, #F2C2E7);
}

.hero__img {
  display: flex;
}

.hero__container {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  padding-top: 15px;
  padding-bottom: 30px;
  padding-left: 1%;
  padding-right: 1%;
  height: 100%;
}

.socials__list {
  display: flex;
  gap: 45px;
}

.socials__link {
  display: inline-block;
  width: 89px;
  height: 89px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  transition: all 0.3s ease-in-out;
}

.socials__link:hover {
  transform: scale(1.1);
}

.tg {
  background-image: url("images/tg.svg");
}

.tw {
  background-image: url("images/x.svg");
}

.inst {
  background-image: url("images/instagram.svg");
}

.tablet {
  display: none;
}

.mobile {
  display: none;
}


/* 1440 */

@media (max-width: 1440px) {

  .desktop {
    display: none;
  }

  .tablet {
    display: flex;
  }

  .mobile {
    display: none;
  }

}

/* 1024 */

@media (max-width: 1024px) {

}

/* 768 */

@media (max-width: 768px) {

  .desktop {
    display: none;
  }

  .tablet {
    display: none;
  }

  .mobile {
    display: flex;
  }

  .hero__container {
    padding: 65px 10px 20px 10px;
  }

  .socials__list {
    gap: 20px;
  }

  .socials__link {
    width: 40px;
    height: 40px;
  }

}

/* PROPOSAL */

.proposal {
  position: relative;
  background-color: #F2C2E7;
}

.proposal__container {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 90px;
  padding-bottom: 90px;
  height: 100%;
}

.window {
  position: relative;
  /* width: 45%; */
  width: 55%;
  min-width: 850px;
  border: 2px solid #000;
  border-right-width: 15px;
  border-bottom-width: 15px;
}

.window__head {
  display: flex;
  justify-content: center;
  padding: 30px 43px;
  border-bottom: 2px solid #000;
  background-color: #043663;
}

.window__title {
  color: #fff;
  font-size: 50px;
  text-transform: uppercase;
  text-align: center;
}

.window__svg--desktop {
  width: 100%;
}

.window__body {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 120px 85px;
  border-top: none;
  background-color: #fff;
}

.window__link {
  display: flex;
  gap: 22px;
  align-items: center;
  padding: 40px 36px;
  border: 2px solid #000;
  border-radius: 90px;
  color: #fff;
  font-size: 70px;
  background-color: #E074B4;
  text-transform: uppercase;
  transition: all 0.3s ease-in-out;
}

.window__link:hover {
  background-color: #BD4B9A;
  transform: scale(1.1);
}

.window__link-text {
  width: 100%;
}

.window__link-icon {
  flex-shrink: 0;
  width: 61px;
  height: 61px;
  background-image: url("images/tablet.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.decor {
  position: absolute;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.cursor {
  left: 730px;
  top: 250px;
  width: 351px;
  height: 313px;
  background-image: url("images/cursor.svg");
}

.top-left-coin {
  left: 130px;
  top: 10px;
  width: 190px;
  height: 352px;
  background-image: url("images/topLeftCoin.svg");
}

.top-right-coin {
  top: -35px;
  right: 115px;
  width: 180px;
  height: 250px;
  background-image: url("images/rightTopCoin.svg");
}

.coins-group {
  left: 115px;
  bottom: 20px;
  width: 334px;
  height: 333px;
  background-image: url("images/CoinsGroup.svg");
}

.bottom-middle-coin {
  left: 42%;
  bottom: 70px;
  width: 231px;
  height: 146px;
  background-image: url("images/middleBottomCoin.svg");
}

.bottom-right-coin {
  right: -30px;
  bottom: -30px;
  width: 327px;
  height: 181px;
  background-image: url("images/rightBottomCoin.svg");
}

/* 1440 */

@media (max-width: 1440px) {

  .window {
    width: 68%;
  }

  .window__body {
    padding-top: 140px;
    padding-bottom: 140px;
  }
  
  .cursor {
    left: 730px;
    top: 140px;
    width: 335px;
    height: 299px;
  }
  
  .top-left-coin {
    left: -50px;
    top: 120px;
  }
  
  .top-right-coin {
    top: 0px;
    right: -20px;
  }
  
  .coins-group {
    left: 30px;
    bottom: 25px;
    width: 250px;
    height: 250px;
  }
  
  .bottom-middle-coin {
    left: 42%;
    bottom: 80px;
  }
  
  .bottom-right-coin {
    right: -30px;
    bottom: 0px;
  }

}

/* 1024 */

@media (max-width: 1024px) {

  .window {
    width: 70%;
    min-width: 580px;
    /* min-width: 650px; */
  }

  .window__body {
    padding: 75px 40px;
    /* padding-top: 50px;
    padding-bottom: 50px;
    padding-left: 40px;
    padding-right: 40px; */
  }

  .window__title {
    font-size: 45px;
  }

  .window__link {
    gap: 10px;
    font-size: 50px;
  }

  .window__link-icon {
    width: 45px;
    height: 45px;
  }
  
  .cursor {
    left: 85%;
    top: 240px;
    width: 221px;
    height: 197px;
  }
  
  .top-left-coin {
    left: -50px;
    top: 30px;
    width: 140px;
    height: 260px;
  }
  
  .top-right-coin {
    top: 0px;
    right: 0px;
    width: 145px;
    height: 200px;
  }
  
  .coins-group {
    left: 0px;
    bottom: 5px;
    width: 200px;
    height: 200px;
  }
  
  .bottom-middle-coin {
    left: 42%;
    bottom: 20px;
    width: 155px;
    height: 100px;
  }
  
  .bottom-right-coin {
    right: -30px;
    bottom: 0px;
    width: 250px;
    height: 140px;
  }

}

/* 768 */

@media (max-width: 768px) {

  .window {
    width: 70%;
    min-width: 310px;
  }

  .window__head {
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .window__svg {
    height: 100px;
  }

  .window__svg--desktop {
    display: none;
  }

  .window__body {
    padding-right: 25px;
    padding-left: 25px;
  }

  .window__title {
    font-size: 35px;
    line-height: 1;
  }

  .window__link {
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 17px;
    padding-right: 17px;
    gap: 5px;
    font-size: 29px;
  }

  .window__link-icon {
    width: 30px;
    height: 30px;
  }
  
  .cursor {
    left: 45%;
    top: 250px;
    width: 221px;
    height: 197px;
  }
  
  .top-left-coin {
    left: 18px;
    top: 50px;
    width: 99px;
    height: 183px;
  }
  
  .top-right-coin {
    top: 18px;
    right: 35px;
    width: 84px;
    height: 117px;
  }
  
  .coins-group {
    display: none;
  }
  
  .bottom-middle-coin {
    left: 80%;
    bottom: 60%;
    width: 120px;
    height: 76px;
  }
  
  .bottom-right-coin {
    right: 40%;
    bottom: 60px;
    width: 170px;
    height: 95px;
  }

}

/* FOOTER */

.footer {
  position: relative;
  display: flex;
  justify-content: center;
  min-height: 394px;
  background: url("images/footerdesert.svg"), linear-gradient(#F2C2E7 10%, #fbee2f 55%);
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.footer__container {
  display: flex;
  justify-content: center;
  align-self: end;
  padding: 45px 0;
  height: 100%;
}

.footer__logo {
  font-size: 33px;
}

.frog {
  left: 37px;
  bottom: 70px;
  width: 569px;
  height: 156px;
  background-image: url("images/footerfrog.svg");
}

.label {
  right: 115px;
  bottom: 70px;
  width: 359px;
  height: 273px;
  background-image: url("images/Label.svg");
}

/* 1180 */

@media (max-width: 1180px) {
  
  .frog {
    left: -110px;
    bottom: 55px;
  }

  .label {
    right: 40px;
  }

}

/* 1024 */

@media (max-width: 1024px) {
  
  .frog {
    left: 10px;
    bottom: 55px;
    width: 318px;
    height: 86px;
  }

  .label {
    right: 40px;
    width: 158px;
    height: 120px;
  }

}

/* 768 */

@media (max-width: 1024px) {

  .footer {
    min-height: 237px;
    /* background: url("desert-mob.svg"), linear-gradient(#F2C2E7 10%, #F2E857 55%);
    background-size: contain;
    background-position: bottom;
    background-repeat: no-repeat; */
  }

  .footer__container {
    padding: 10px 0;
  }

  .footer__logo {
    font-size: 20px;
  }
  
  .frog {
    left: -60px;
    bottom: 40px;
    width: 318px;
    height: 86px;
  }

  .label {
    right: 10px;
    width: 158px;
    height: 120px;
  }

}

@media (max-width: 486px) {
  .footer {
    background: url("images/desert-mob.svg"), linear-gradient(#F2C2E7 10%, #fbee2f 30%);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
  }
}
